package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Accelerator;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;
import xaero.rotatenjump.game.object.Wall;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level7 extends Level {

    public Level7(){
        buttonText = "7";
        winOnAttach = true;
        scoreboardX = 0;
        scoreboardY = -500;
        threeStarTime = 800;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        //add(game, new Coin(0, -80));
        //add(game, new Wall(-25, -40, 90, 20, 150, 0));
        //add(game, new Accelerator(70, -15, -90, 40));
        //add(game, new Platform(60, -100, 5, 0, 20, 5));
        add(game, new Wall(75, -20, 0, 15, 75, 0));
        add(game, new Platform(150, -20, 6, 0, 20, -1.5f));
        add(game, new Wall(225, -20, 0, 15, 75, 0));
        add(game, new Platform(300, -20, 7, 0, 20, -1.5f));
        add(game, new Wall(375, -20, 0, 15, 75, 0));
        add(game, new Platform(450, -20, 5, 0, 20, -1.5f));
        add(game, new Wall(525, -65, 0, 15, 100, 0));
        add(game, new Wall(525, 115, 0, 15, 200, 0));
        add(game, new Platform(600, -20, 7, 0, 20, -1.5f));
        add(game, new Wall(375, 207.5f, -90, 15, 310, 0));
        add(game, new Coin(550, 115));
        add(game, new Platform(675, 70, 7, 0, 20, -1.5f));
        add(game, new Platform(750, 210, 6, 0, 20, -1.5f));
        add(game, new Coin(650, 180));
        add(game, new Coin(650, 290));
        add(game, new Platform(600, 310, 7, 0, 20, -1.5f));
        add(game, new Accelerator(480, 360, 180, 1.5f));
        add(game, new Coin(375, 355));
        add(game, new Coin(525, 350));
    }
}
